console.log("parse_video_site.js 文件被加载了...")

// 网址（茶杯狐）：http://cupfox.app/
takeIf(() => location.host === "cupfox.app", () => {
    // 去除茶杯狐网站首页通知弹窗
    tryBlock(() => {
        const elements = getElements("jsx-589984643");
        for (let i = 0; i < elements.length; i++) {
            gone(elements[i])
        }
    })

    // 去除茶杯狐网站首页通知弹窗
    tryBlock(() => {
        const elements = getElements("model");
        for (let i = 0; i < elements.length; i++) {
            gone(elements[i])
        }
    })

    // 隐藏左上角菜单按钮
    const currUrl = window.location.href;
    try {
        const elements = getElements("bm-burger-button");
        const header = elements[0];
        invisible(header)
        window.android.onHeaderChanged(currUrl, header.clientHeight)
    } catch (e) {
        window.android.onHeaderChanged(currUrl, 0)
    }

    // 隐藏 footer 底部的 茶杯狐、优惠券 菜单按钮
    tryBlock(() => {
        const elements = getElements("mobile-nav");
        for (let i = 0; i < elements.length; i++) {
            const navList = elements[i].getElementsByClassName("nav");
            for (let j = 0; j < navList.length; j++) {
                // 隐藏底部的 茶杯狐、优惠券 菜单按钮
                if (j === 2 || j === 3) {
                    gone(navList[j])
                }
            }
        }
    })

    // 隐藏搜索结果的 vpn banner 广告（需要在页面加载完成后调用）
    tryBlock(() => {
        const elements = getElements("jsx-2476695586");
        for (let i = 0; i < elements.length; i++) {
            const element = elements[i];
            gone(element)
        }
    })

    // 隐藏分类板块的 vpn banner 广告（需要在页面加载完成后调用）
    tryBlock(() => {
        const elements = getElements("jsx-193766011");
        for (let i = 0; i < elements.length; i++) {
            const element = elements[i];
            gone(element)
        }
    })

    // 隐藏 我 界面 除了 观看历史 之外的菜单按钮
    tryBlock(() => {
        const recommendNav = getElements("recommend-nav");
        for (let i = 0; i < recommendNav.length; i++) {
            const navList = recommendNav[i].getElementsByClassName("nav");
            for (let j = 0; j < navList.length; j++) {
                // 隐藏除了 观看历史 之外的菜单按钮
                if (j !== 0) {
                    gone(navList[j])
                }
            }
        }
    })

    // 隐藏左上角的菜单按钮
    tryBlock(() => {
        const elements = getElements("bm-burger-button");
        invisible(elements[0])
    })

    // 隐藏首页的赞助发电和领券中心 banner
    tryBlock(() => {
        const elements = getElements("jsx-ad2e94093baf1e8c");
        gone(elements[0])
    })

    // 隐藏首页的 vpn banner 广告
    tryBlock(() => {
        const elements = getElements("jsx-1681508760");
        for (let i = 0; i < elements.length; i++) {
            gone(elements[i])
        }
    })

    // 去除 我 界面：帮助反馈、网站收录、广告合作 菜单按钮
    tryBlock(() => {
        const elements = getElements("nav-item");
        const lastIndex = elements.length - 1;
        for (let i = 0; i < elements.length; i++) {
            if (i !== lastIndex) {
                gone(elements[i])
            }
        }
    })
})

// 网址（影视工厂）：http://www.ysgc.cc/
takeIf(() => location.host === "www.ysgc.cc", () => {
    // 去除首页通知
    tryBlock(() => {
        const elements = getElements("noticetext");
        for (let i = 0; i < elements.length; i++) {
            gone(elements[i])
        }
    })

    // 去除顶部 APP 下载按钮
    tryBlock(() => {
        const element = querySelector(
            "#header-top > div > div > div > ul.myui-header__user > li:nth-child(2)");
        gone(element)
    })

    // 去除顶部登录按钮
    tryBlock(() => {
        const elements = getElements("login");
        for (let i = 0; i < elements.length; i++) {
            gone(elements[i])
        }
    })

    // 去除右下角分享按钮
    tryBlock(() => {
        const elements = getElements("open-share");
        for (let i = 0; i < elements.length; i++) {
            gone(elements[i])
        }
    })

    // 去除底部 footer 区域中的 APP下载菜单
    tryBlock(() => {
        const element = querySelector("body > div.myui-nav__tabbar > a:nth-child(3)");
        gone(element)
    })
})

// 网址（AB影院）：https://abu22.com/
takeIf(() => location.host === "abu22.com", () => {
    // 去除首页公告弹窗
    tryBlock(() => {
        const elements = getElements("popup");
        for (let i = 0; i < elements.length; i++) {
            const element = elements[i];
            invisible(element)
        }
    })

    // 去除右侧悬浮广告
    tryBlock(() => {
        const elements = getElements("bg-ad-right");
        for (let i = 0; i < elements.length; i++) {
            const element = elements[i];
            invisible(element)
        }
    })
})

// 网址（麻花视频）：https://www.mhyyy.com/
takeIf(() => location.host === "www.mhyyy.com", () => {
    // 去除右上角登录按钮
    tryBlock(() => {
        const elements = getElements("nav-menu-item");
        const lastIndex = elements.length - 1;
        for (let i = 0; i < elements.length; i++) {
            if (i === lastIndex) {
                gone(elements[i])
            }
        }
    })

    // 去除顶部 网址 按钮
    tryBlock(() => {
        const navMenuItems = getElements("nav-menu-items");
        for (let i = 0; i < navMenuItems.length; i++) {
            const navMenuList = navMenuItems[i].getElementsByClassName("nav-menu-item");
            const lastIndex = navMenuList.length - 1;
            for (let j = 0; j < navMenuList.length; j++) {
                // 隐藏网址按钮
                if (j === lastIndex) {
                    gone(navMenuList[j])
                }
            }
        }
    })

    // 去除菜单 Popup 网格菜单中的 网址 按钮
    tryBlock(() => {
        const navMenuItems = getElements("grid-items");
        for (let i = 0; i < navMenuItems.length; i++) {
            const navMenuList = navMenuItems[i].getElementsByClassName("grid-item");
            const lastIndex = navMenuList.length - 1;
            for (let j = 0; j < navMenuList.length; j++) {
                // 隐藏网址按钮
                if (j === (lastIndex - 1)) {
                    gone(navMenuList[j])
                }
            }
        }
    })
	
	// 去除视频播放页中部反馈按钮
	tryBlock(() => {
		const element = xpath('//*[@id="main"]/div[1]/div/div[2]/div[1]/div[2]')
		gone(element)
	})
})

// 网址（我爱跟剧）：https://www.genmov.com/
takeIf(() => location.host === "www.genmov.com", () => {
    // 去除影片详情页介绍底部广告
    tryBlock(() => {
        const elements = getElements("video-info-items");
        const lastIndex = elements.length - 1;
        for (let i = 0; i < elements.length; i++) {
            if (i === lastIndex) {
                gone(elements[i])
            }
        }
    })
	
	// 去除影片播放页中间广告
	tryBlock(() => {
		const elements = getElements("title-info-ad")
        for (let i = 0; i < elements.length; i++) {
            const element = elements[i];
            gone(element)
        }
	})
})

// 网址（蓝光影院）：https://www.lgyy.cc/
takeIf(() => location.host === "www.lgyy.cc", () => {
	// 去除蓝光影院首页中部横幅广告
	tryBlock(() => {
		const element = getElementById("syad")
		gone(element)
	})
})